﻿@import url("css/ict_accordion.css");
@import url("css/ict_background.css");
@import url("css/ict_border.css");
@import url("css/ict_button.css");
@import url("css/ict_canvas.css");
@import url("css/ict_card.css");
@import url("css/ict_carousel.css");
@import url("css/ict_color.css");
@import url("css/ict_dimensions.css");
@import url("css/ict_image.css");
@import url("css/ict_input.css");
@import url("css/ict_flex.css");
@import url("css/ict_font.css");
@import url("css/ict_link.css");
@import url("css/ict_list.css");
@import url("css/ict_modal.css");
@import url("css/ict_position.css");
@import url("css/ict_response.css");
@import url("css/ict_spacing.css");
@import url("css/ict_utilities.css");
@import url("css/ict_dropdown.css");
@import url("css/ict-loading.css");

:root {
    --ict-primary: #343fbf;
    --ict-secondary: #5ec9e9;
    --ict-tertiary: #043780;
    --ict-quaternary: #ac7fff;
    --ict-quinary: #d8f9ff;
    --ict-senary: #E5F0FB;
    --ict-success: #16a34a;
    --ict-danger: #dc2626;
    --ict-warning: #f59e0b;
    --ict-info: #0891b2;
    --ict-darkblue: #020764;
    --ict-secondary-rgb: 94, 201, 233;
    --ict-quaternary-rgb: 172, 127, 255;
    --ict-quinary-rgb: 216, 249, 255;
    --ict-transition: all .25s ease;
    --ict-radius: clamp(0.4em, 0.6vw, 0.75em);
    --ict-font-size: clamp(0.875em, 0.9vw, 1em);
    --ict-icon-size: clamp(1.5em, 0.9vw, 2.4em);
    --ict-padding: clamp(0.4em, 0.8vw, 0.6em) clamp(0.6em, 1.2vw, 1em);
    --sp-0: 0;
    --sp-1: 0.25rem;
    --sp-2: 0.5rem;
    --sp-3: 1rem;
    --sp-4: 1.5rem;
    --sp-5: 3rem;
    --ict-color-1: #f3f9ff;
    --ict-modal-z: 1050;
    --ict-backdrop-z: 1040;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    font-size: clamp(14px, 0.9vw + 10px, 16.5px);
    margin: 0px;
}

body {
    margin: 0;
    font-family: 'Lexend Deca', sans-serif;
}

p,
span {
    font-size: clamp(0.875em, 1.6vw, 1.5em);
    line-height: 1.6;
}

h1 {
    font-size: clamp(2em, 4.3vw, 3.875em);
    line-height: 1.15;
    margin: 0;
}
h2 {
    font-size: clamp(1.5em, 3.125vw, 2.8125em);
    line-height: 1.2;
    margin: 0;
}

h3 {
    font-size: clamp(1.25em, 2.5vw, 2.25em);
    line-height: 1.25;
    margin: 0;
}

h4 {
    font-size: clamp(1.125em, 1.95vw, 1.75em);
    line-height: 1.35;
    margin: 0;
}

h5 {
    font-size: clamp(1em, 1.53vw, 1.375em);
    line-height: 1.4;
    margin: 0;
}


h6 {
    font-size: clamp(0.875em, 1.25vw, 1.125em);
    line-height: 1.45;
    margin: 0;
}


a{
    text-decoration:none;
}

    a:active, a:focus-visible {
        color: var(--ict-primary);
    }
